## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class LaunchObject

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.launching.LaunchObject

    public class LaunchObject

extends java.lang.Object

Author:
  lihuang

Constructor Summary
`LaunchObject()`

Method Summary
`java.util.List` `getConfigParameter()` Get config parameter.
`boolean` `hasConfigEventParameters()` return if the event trigger parameter is configured.
`void` `setConfigEventParameters(boolean b)` set if the event trigger parameter is configured.
`void` `setConfigParameter(java.util.List list)` Return config parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchObject

    public LaunchObject()

Method Detail

### setConfigEventParameters

    public void setConfigEventParameters(boolean b)

  set if the event trigger parameter is configured.

  Parameters:
    `b` -

### hasConfigEventParameters

    public boolean hasConfigEventParameters()

  return if the event trigger parameter is configured.

  Returns:

### getConfigParameter

    public java.util.List getConfigParameter()

  Get config parameter.

  Returns:

### setConfigParameter

    public void setConfigParameter(java.util.List list)

  Return config parameter.

  Parameters:
    `list` -